﻿@model IEnumerable<ADS.Core.Model.Controladora>

@{
    ViewBag.Title = "Listar";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Listar</h2>

<div class="row margem-abaixo">
    <div class="col-md-10">
        <span class="input-group-btn">
            <a href="@Url.Action("Cadastrar", "Controladora")" class="btn btn-primary"><i class="fa fa-plus"></i> Adicionar</a>
            <!--<a href="@Url.Action("Importar", "Controladora")" class="btn btn-primary"><i class="fa fa-plus"></i> Importar</a> -->
            <a href="@Url.Action("Remover", "Controladora")" class="btn btn-primary"><i class="fa fa-remove"></i> Remover</a>
            <a href="#" class="btn btn-primary"><i class="fa fa-search"></i> Procurar</a>
        </span>
    </div>
</div>
<table class="table table-responsive table-striped">
    <tr>
        <th><input type="checkbox" name="selectAll" id="selecionarTodos" /></th>
        <th>
            Nome
        </th>
        <th>
            Endereço IP
        </th>
        <th>
            Mac Address
        </th>
        <th>
            Ativo
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.CheckBox("chkAdv", false, new { id = item.ControladoraId })
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Nome)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Ip)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.MacAddress)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Ativo)
            </td>
            
            <td>
                <a href="../Controladora/Editar/@item.ControladoraId" onclick="editarControladora()" id=@item.ControladoraId class="glyphicon glyphicon-pencil btn btn-primary btn-xs"></a>
                <a href="#a" onclick="detalhesControladora(@item.ControladoraId)" id=@item.ControladoraId class="glyphicon glyphicon-eye-open btn btn-default btn-xs"></a>
                <a href="#a" onclick="return confirm('Deseja remover esse registro?') ? removerControladora(@item.ControladoraId) : '';" id=@item.ControladoraId class="glyphicon glyphicon-remove btn btn-danger btn-xs"></a>
            </td>
        </tr>
    }
</table>



@RenderPage("~/Views/Controladora/_PaginacaoControladora.cshtml")

<!-- MODAIS -->
<!-- Detalhes Controladora-->
<div class="modal fade" id="modalDetalhesControladora" tabindex="-1" role="dialog" aria-labelledby="Detalhes Controladora">
    <div class="modal-dialog" role="document">
        <div class="modal-content" id="detalhesControladoraBody">

        </div>
    </div>
</div>
@section ScriptControladora{
    <script src="~/Scripts/Controladora.js"></script>
}